<?php

declare(strict_types=1);

namespace FiloBlu\Core\Model\Mail;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\Mail\MessageInterface;
use Magento\Framework\Mail\TransportInterface;
use Zend\Mail\Message;

/**
 * Class NullMailer
 * @package FiloBlu\Core\Model\Mail
 */
class BlackHole implements TransportInterface
{

    /**
     * BlackHole constructor.
     * @param MessageInterface $message
     * @param ScopeConfigInterface $scopeConfig
     * @param null $parameters
     */
    public function __construct(
        MessageInterface $message,
        ScopeConfigInterface $scopeConfig,
        $parameters = null
    )
    {
        $this->message = $message;
    }

    public function sendMessage()
    {
    }

    public function getMessage()
    {
        return $this->message;
    }
}
