<?php

namespace FiloBlu\Core\Model\Optimizer;

use Magento\Framework\App\ResourceConnection;

class CmsContentModifier implements ContentModifierInterface
{

    /**
     * @var ResourceConnection
     */
    private $resourceConnection;
    private $tableName;
    private $primaryKey;
    private $contentColumn;

    public function __construct(
        ResourceConnection $resourceConnection,
        $tableName,
        $primaryKey,
        $contentColumn
    ){
        $this->resourceConnection = $resourceConnection;
        $this->tableName = $tableName;
        $this->primaryKey = $primaryKey;
        $this->contentColumn = $contentColumn;
    }

    public function updateContent(array $dataToReplace)
    {
        $connection = $this->resourceConnection->getConnection();

        $from = [];
        $to = [];
        foreach ($dataToReplace as $data){
            $from[] = $data['from'];
            $to[] = $data['to'];
        }
        $table = $connection->getTableName($this->tableName);
        $select = $connection->select()->from($table, [$this->primaryKey, $this->contentColumn]);


        foreach ($connection->fetchPairs($select) as $id => $content){
            $content = str_replace($from, $to, $content);
            $connection->update($table, [$this->contentColumn => $content], $connection->quoteInto("{$this->primaryKey} = ?" , $id));
        }
    }
}
