<?php

namespace FiloBlu\Core\Model\Optimizer;

use Magento\Framework\App\ResourceConnection;

class CmsContentProvider implements ContentProviderInterface
{

    /**
     * @var ResourceConnection
     */
    private $resourceConnection;
    private $tableName;
    private $contentColumn;

    public function __construct(
        ResourceConnection $resourceConnection,
        $tableName,
        $contentColumn
    ){
        $this->resourceConnection = $resourceConnection;
        $this->tableName = $tableName;
        $this->contentColumn = $contentColumn;
    }

    function getContents(): array
    {
        $connection = $this->resourceConnection->getConnection();
        $select = $connection->select()->from($connection->getTableName($this->tableName), [$this->contentColumn]);
        return $connection->fetchCol($select);
    }
}
